Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001056Core InformSource text and punctuationpublic2012-12-08 21:482014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001056: Source apostrophe heuristic is not Unicode-aware
DescriptionIn string literals, the compiler attempts to distinguish apostrophes ("Steve's room") from quotes ("Steve says 'hi'.") The algorithm gets confused by accented letters, which apparently do not register as letters.

Minimal Source Text To Reproduce
The Kitchen is a room. "Moira's room is to the east, and Moiré's room is to the west."


! Output text:
!    Moira's room is to the east, and Moiré"s room is to the west.
! Note that the second apostrophe has been wrongly converted to a double quote.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-12-08 21:48 zarf New Issue
2012-12-10 09:42 EmacsUser Status new => confirmed
2014-03-08 15:11 graham Status confirmed => resolved
2014-03-08 15:11 graham Resolution open => fixed
2014-03-08 15:11 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker